%undefine __cmake_in_source_build

Summary: KDE Frameworks 5 Tier 3 integration with su
Name:    kf5-kdesu
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/kdesu
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kdesu-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}, kf5-ki18n-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, 
BuildRequires:  kf5-kservice-devel >= %{majmin}, kf5-kpty-devel >= %{majmin}
BuildRequires:  libX11-devel
BuildRequires:  qt5-qtbase-devel

%description
KDE Frameworks 5 Tier 3 integration with su for elevated privileges.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kpty-devel >= %{majmin}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n kdesu-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang kdesu5_qt --all-name

%files -f kdesu5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5Su.so.*
%{_kf5_libexecdir}/kdesu_stub
%{_kf5_datadir}/qlogging-categories5/*
%attr(2755,root,nobody) %{_kf5_libexecdir}/kdesud

%files devel
%{_kf5_libdir}/libKF5Su.so
%{_kf5_libdir}/cmake/KF5Su/
%{_kf5_includedir}/KDESu/
%{_kf5_archdatadir}/mkspecs/modules/qt_KDESu.pri


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init
